Loading...
Searching...
No Matches
write_back.h File Reference
`#include <starpu.h>`
`#include <datawizard/coherency.h>`

Go to the source code of this file.

## Functions

void | _starpu_write_through_data (starpu_data_handle_t handle, unsigned requesting_node, uint32_t write_through_mask)

## Function Documentation

## _starpu_write_through_data()

void _starpu_write_through_data | ( | starpu_data_handle_t | handle,
|  | unsigned | requesting_node,
|  | uint32_t | write_through_mask
| ) |  |

If a write-through mask is associated to that data handle, this propagates the the current value of the data onto the different memory nodes in the write_through_mask.